<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="js/jquery3.js"></script>
</head>
<body>
//no fona
<script>

    $(document).ready(function () {
        $("td").on({
            "click": function () {
                $(this).css("background-color","#aaaaaa");
                $(this).css("border","2px solid red");
                //$(this).focus();
            },

            "keydown": function (event) {
                var position = $(this).closest("td").index(); //clossest te devuelve el td mas cercano al padre
                console.log(event.key);
                switch (event.key) {
                    case"ArrowRight":

                        $(this).next().find("input").focus();

                        $(this).next().css("background-color","#aaaaaaa");
                        $(this).next().css("border","2px solid red");
                        break;

                    case"ArrowLeft":
                        $(this).prev().find("input").focus();

                        $(this).next().css("background-color","#aaaaaaa");
                        $(this).next().css("border","2px solid red");
                        break;

                   case"ArrowUp":
                        var next= $(this).closest("tr")
                            .prev()
                        //    .find("td:nth-child("")
                            $(this).next().css("background-color","#aaaaaaa");
                        $(this).next().css("border","2px solid red");
                            break;
                    case"downArrow":
                        $(this).next().css("background-color","#aaaaaaa");
                        $(this).next().css("border","2px solid red");

                        break;
                }
            }

        });

    });
</script>


<table>
<tr>

    <td id="1"></td>

    <td id="2"></td>

    <td id="3"></td>



</tr>
<tr>

    <td id="4"></td>

    <td id="5"></td>

    <td id="6"></td>



</tr>
<tr>

    <td id="7"></td>

    <td id="8"></td>

    <td id="9"></td>



</tr>
</table>

</body>
</html>